#
# Copyright (c) 2011 Duo Security
# All Rights Reserved
#

try:
    import protectwin32
    PROTECT_ENABLED = True
except:
    PROTECT_ENABLED = False


class ProtectDisabledException(Exception):
    pass


def protect(plainText):
    """Protects a sensitive string, such as a password, for persistence.
    Currently only available if in certain environments.
    Check protect.PROTECT_ENABLED for availability."""

    if not PROTECT_ENABLED:
        raise ProtectDisabledException()
    return protectwin32.win32CryptProtectData(plainText)


def unprotect(cipherText):
    """Unprotects a previously protected string.
    Currently only available if in certain environments.
    Check protect.PROTECT_ENABLED for availability."""

    if not PROTECT_ENABLED:
        raise ProtectDisabledException()
    return protectwin32.win32CryptUnprotectData(cipherText)
